Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003846 [JEDI VCL] Installation major always 2006-07-31 11:05 2006-08-30 07:45
Reporter lacejedi View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Version 1.97
Summary 0003846: After installing new version cannot compile old code
Description Compiling my app genetates the following message

Unit JvCaptionButton was compiled with a different version of JvThemes.TThemedElementDetails

Code snippet from UnitUtils

unit UnitUtils;

interface

uses DB, Dialogs, SysUtils, ExtCtrls, Controls, Graphics, DBCtrls,
     DBGrids, Forms, StdCtrls, DBXGrid, Buttons, ComCtrls, CommCtrl, Types,
     Windows, PageControlX, NdbAsaDS, VirtualDBTreeEx, JvCaptionButton;

  procedure LinkForm(index: integer; Form: TCustomForm;
                     const CaptionButtons: array of TJvCaptionButton);
  procedure SetCaptions(const CaptionButtons: array of TJvCaptionButton);

Additional Information Had some problems resulting in a complere reinstallation of Delphi7 and various 3rd party components

All was fine except above problem

Removed all Jedi and Jcl code, source files etc and installed Jcl and Jedi from toays files (31/7/2006) have aslo cleaned registry etc and deleted all dcu's from my own app

Still getting the above message

Before the reinstallation of Delphi Jvcl 3.10 was installed, worked ok until the reinstallation of delphi.

Have verified that there is only

One JvCaptionButton.pas (and dcu) on my machine, ditto JvThemes all dated today after the installation run.

Need urgent help as application development is halted

The strange thing is a new project with just a JvCaptionButton on the form compiles ok.

Many thanks

Mike Leigh

Lacegem Ltd
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0009926)
outchy (administrator)
2006-07-31 11:25

Wrong library, I move this issue to the JVCL side of this mantis
(0009928)
obones (administrator)
2006-08-01 01:53

Then you have an old DCU file from the JVCL somewhere on your hard drive.
Actually, remove any DCU files from the JVCL and try again.
(0010042)
obones (administrator)
2006-08-30 07:45

No answers, assuming this is fixed

- Issue History
Date Modified Username Field Change
2006-07-31 11:05 lacejedi New Issue
2006-07-31 11:25 outchy Note Added: 0009926
2006-07-31 11:25 outchy Project JEDI Code Library => JEDI VCL
2006-08-01 01:53 obones Note Added: 0009928
2006-08-01 01:53 obones Status new => feedback
2006-08-30 07:45 obones Status feedback => resolved
2006-08-30 07:45 obones Fixed in Version => Daily / SVN
2006-08-30 07:45 obones Resolution open => fixed
2006-08-30 07:45 obones Assigned To => obones
2006-08-30 07:45 obones Note Added: 0010042


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker